summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests.sh b/tests.sh
index c7567bc..68b3a36 100755
--- a/tests.sh
+++ b/tests.sh
@@ -1118,8 +1118,8 @@ function fail() {
local STATUS="$?"
if ((STATUS > 125)); then
- return "$STATUS"
- elif ((STATUS)); then
+ exit "$STATUS"
+ elif ((STATUS > 0)); then
return 0
else
return 1